[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc
S01=!ShowMeter
H01=!HideMeter
PR1=#@#Images\Player\Preview.png
PR2=#@#Images\Player\Preview1.png
PL1=#@#Images\Player\Play.png
PL2=#@#Images\Player\Play1.png
St1=#@#Images\Player\Stop.png
St2=#@#Images\Player\Stop1.png
Nx1=#@#Images\Player\Next.png
Nx2=#@#Images\Player\Next1.png
Vol1=#@#Images\Player\Vol+.png
Vol2=#@#Images\Player\Vol+1.png
Vol3=#@#Images\Player\Vol-.png
Vol4=#@#Images\Player\Vol-1.png

[Wplayer]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=#Player#
PlayerType=Title
PlayerPath=
DisableLeadingZero=0
Substitute="":"#PDIFO1#"
OnChangeAction=[!UpdateMeasure *][!UpdateMeter *][!Redraw]

[WPArtist]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[Wplayer]
PlayerType=Artist
Substitute="":"#PDIFO1#"
UpdateDivider=-1

[WPAlbum]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[Wplayer]
PlayerType=ALBUM
Substitute="":"#PDIFO1#"
UpdateDivider=-1

[WPYear]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[Wplayer]
PlayerType=YEAR
UpdateDivider=-1

[WPPosition]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[Wplayer]
PlayerType=POSITION
OnChangeAction=[!UpdateMeter Time1][!Redraw]

[WPDuration]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[Wplayer]
PlayerType=DURATION
UpdateDivider=-1

[WPProgress]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[Wplayer]
PlayerType=PROGRESS

[WPNum]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[Wplayer]
PlayerType=Number
UpdateDivider=-1
OnChangeAction=[!UpdateMeter Tnum][!Redraw]

[B2]
Meter=Bar
MeasureName=WPProgress
BarImage=#@#Images\Player\P2.png
X=20
Y=68
BarOrientation=Horizontal
LeftMouseUpAction=[!CommandMeasure "Wplayer" "SetPosition +10"][#MC#]
RightMouseUpAction=[!CommandMeasure "Wplayer" "SetPosition -10"][#MC#]
ToolTipType=1
ToolTipText=#STP#
AntiAlias=1
UpdateDivider=1

[B1]
Meter=IMAGE
ImageName=#@#Images\Player\Pla.png
DynamicVariables=1
AntiAlias=1
UpdateDivider=-1

[Up3]
X=165
Y=45
W=300
Clipstring=2
Hidden=1
StringAlign=Center

[Artist]
Meter=STRING
MeterStyle=Style|UP3
MeasureName=WPArtist
ToolTipText=[WPArtist]

[Track]
Meter=STRING
MeterStyle=Style|UP3
MeasureName=Wplayer
ToolTipText=[Wplayer]

[Album]
Meter=STRING
MeterStyle=Style|UP3
MeasureName=WPAlbum
MeasureName2=WPYear
Text=%1
ToolTiptext=[WPAlbum] [WPYear]

[SicCalc]
Measure=Calc
Formula=Counter%3
IfBelowValue=1
IfBelowAction=[#S01# Artist ][#H01# Track][#H01# Album]
IfEqualValue=1
IfequalAction=[#S01# Track][#H01# Artist][#H01# Album]
IfAboveValue=1
IfAboveAction=[#S01# Album][#H01# Artist][#H01# Track]
UpdateDivider=5

[ST1]
Y=100
Text=%1
FontFace=Digital
FontSize=9
Tooltiptext=%1
RightMouseDoubleClickAction=!PluginBang "Wplayer OpenPlayer"

[Time1]
Meter=STRING
MeasureName=WPPosition
MeterStyle=Style|ST1
X=170

[Time2]
Meter=STRING
MeasureName=WPDuration
MeterStyle=Style|ST1
X=40r

[Posit]
Meter=String
MeterStyle=Style|ST1
MeasureName=WPProgress
X=50r
Y=-4r
Text=%1%
Tooltiptext=#Pos#
NumOfDecimals=0
UpdateDivider=1

[Tnum]
Meter=STRING
MeasureName=WPNum
MeterStyle=Style|ST1
X=50r
Text=%1
Tooltiptext=Track number

[GMB]
X=25r
Y=100
H=14
W=14
ToolTipType=1
AntiAlias=1
UpdateDivider=-1

[Vol+]
Meter=Image
MeterStyle=GMB
ImageName=#Vol1#
X=13
LeftMouseUpAction=[!PluginBang "Wplayer SetVolume +10"][#MC#]
MouseOverAction=[!SetOption Vol+ ImageName "#Vol2#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption Vol+ ImageName "#Vol1#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
ToolTipText=#VOLU#

[Prev]
Meter=Image
MeterStyle=GMB
ImageName=#PR1#
LeftMouseUpAction=[!PluginBang "Wplayer Previous"][#MC#]
MouseOverAction=[!SetOption Prev ImageName "#PR2#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption Prev ImageName "#PR1#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
ToolTipText=#Pre#

[Play]
Meter=Image
MeterStyle=GMB
ImageName=#Pl1#
LeftMouseDownAction=[!PluginBang "Wplayer PlayPause"][#MC#]
MouseOverAction=[!SetOption Play ImageName "#Pl2#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption Play ImageName "#Pl1#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
ToolTipText=#P&P#

[Stop]
Meter=Image
MeterStyle=GMB
ImageName=#St1#
H=12
W=12
LeftMouseUpAction=[!PluginBang "Wplayer Stop"][#MC#]
MouseOverAction=[!SetOption Stop ImageName "#St2#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption Stop ImageName "#St1#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
ToolTipText=#ST#

[Next]
Meter=Image
MeterStyle=GMB
ImageName=#Nx1#
LeftMouseDownAction=[!PluginBang "Wplayer Next"][#MC#]
MouseOverAction=[!SetOption Next ImageName "#Nx2#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption Next ImageName "#Nx1#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
ToolTipText=#Next#

[Vol-]
Meter=Image
MeterStyle=GMB
ImageName=#Vol3#
LeftMouseUpAction=[!PluginBang "Wplayer SetVolume -10"][#MC#]
MouseOverAction=[!SetOption Vol- ImageName "#Vol4#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption Vol- ImageName "#Vol3#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
ToolTipText=#VOLD#