[Rainmeter]
AccurateText=1

[Style]
FontColor=#FBB#
FontFace=LCD
FontSize=9
StringEffect=shadow
SolidColor=0,0,0,1
AntiAlias=1
StringAlign=Left
ToolTipType=1
MouseOverAction=[!SetOption #CURRENTSECTION# StringEffect Border][!SetOption #CURRENTSECTION# FontSize 10][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption #CURRENTSECTION# StringEffect ""][!SetOption #CURRENTSECTION# FontSize "" ][!UpdateMeter #CURRENTSECTION#][!Redraw]
UpdateDivider=-1

[Style2]
FontColor=#FBB#
FontFace=calibri
FontSize=8
StringStyle=Normal
StringEffect=SHADOW
SolidColor=0,0,0,1
AntiAlias=1
ToolTipType=1
FontEffectColor=#FBP#
MouseOverAction=[!SetOption #CURRENTSECTION# StringEffect Border][!SetOption #CURRENTSECTION# FontSize 10][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption #CURRENTSECTION# StringEffect ""][!SetOption #CURRENTSECTION# FontSize ""][!UpdateMeter #CURRENTSECTION#][!Redraw]
UpdateDivider=-1

[Style5]
FontColor=#FBB#
FontFace=LCD
FontSize=8
StringStyle=Normal
StringEffect=Border
SolidColor=0,0,0,1
AntiAlias=1
StringAlign=Center
X=25
Y=11
Angle=-0.3
ToolTipType=1
MouseOverAction=[!SetOption #CURRENTSECTION# FontSize 11][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption #CURRENTSECTION# FontSize ""][!UpdateMeter #CURRENTSECTION#][!Redraw]
UpdateDivider=-1

[Style6]
FontColor=#FBB#
FontFace=LCD
FontSize=8
StringStyle=Normal
StringEffect=Border
SolidColor=0,0,0,1
AntiAlias=1
StringAlign=Center
X=30
Y=67
Angle=0.1
ToolTipType=1
MouseOverAction=[!SetOption #CURRENTSECTION# FontSize 11][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption #CURRENTSECTION# FontSize ""][!UpdateMeter #CURRENTSECTION#][!Redraw]
UpdateDivider=-1

[Variables]
MC=Play #@#Sounds\Com.wav
Ww=Play #@#Sounds\Ww.wav
Recy2=PLAY #@#Sounds\Recy2.wav
SPCR=Play #@#Sounds\SPCR.wav
FBB=240,243,247
FBC=181,69,172
FBP=161,0,253
DA1=10,247,117,125
BC1=64,128,128 
FBD=205,211,212
SlideshowFolder=#@#Wallpaper
SlideShowUpdate=20
MTAJR1=[!Refresh "CubG\HDD\Letters\C"][!Refresh "CubG\HDD\Letters\D"][!Refresh "CubG\HDD\Letters\E"][!Refresh "CubG\HDD\Letters\F"][!Refresh "CubG\HDD\Letters\G"][!Refresh "CubG\HDD\Letters\H"][!Refresh "CubG\HDD\Letters\I"][!Refresh "CubG\HDD\Letters\J"][!Refresh "CubG\HDD\Letters\K"][!Refresh "CubG\HDD\Letters\L"][!Refresh "CubG\HDD\Letters\M"][!Refresh "CubG\HDD\Letters\N"][!Refresh "CubG\HDD\Letters\O"][!Refresh "CubG\HDD\Letters\P"][!Refresh "CubG\HDD\Letters\Q"][!Refresh "CubG\HDD\Letters\R"][!Refresh "CubG\HDD\Letters\S"][!Refresh "CubG\HDD\Letters\T"][!Refresh "CubG\HDD\Letters\U"][!Refresh "CubG\HDD\Letters\V"][!Refresh "CubG\HDD\Letters\W"][!Refresh "CubG\HDD\Letters\X"][!Refresh "CubG\HDD\Letters\Y"][!Refresh "CubG\HDD\Letters\Z"][!Refresh "CubG\HDD\Recycle"][!Refresh "CubG\Divers\Time"][!Refresh "CubG\Sound\Volume"][!Refresh "CubG\System\Battery"][!Refresh "CubG\System\CPU"][!Refresh "CubG\System\CPUT"][!Refresh "CubG\System\GPU"][!Refresh "CubG\System\GPUfan"][!Refresh "CubG\System\GPUmem"][!Refresh "CubG\System\GPUT"][!Refresh "CubG\System\TopProcess"][!Refresh "CubG\System\Ram"][!Refresh "CubG\System\Swap"][!Refresh "CubG\System\Process"][!Refresh "CubG\System\GPUSpeed"][!Refresh "CubG\Divers\Calendar"][!Refresh "CubG\Sound\Player"][!Refresh "CubG\Divers\Slideshow"][!Refresh "CubG\Divers\Notes"]
MTAJR5=[!Refresh "CubG\Divers\Slideshow"][!Refresh]
MTAJR4=[!Refresh "CubG\Sound\Player"][!Refresh]
language=English
English=#@#Languages\English.inc
Franais=#@#Languages\Franais.inc
Player=Winamp
